Subject: Re: ssh service staring problem "bad owner /var/empty" but not fixed
From: Marcos Lorenzo de Santiago <[email-masked]>
To: Elfyn <[email-masked]>
Cc: cygml <[email-masked]>, Scott Prive <[email-masked]>
Date: Thu, 10 Oct 2002 10:02:01 +0200 (CEST)

On Wed, 9 Oct 2002, Elfyn wrote:

     > Hey,
     >
     > What i meant by shared-server is that more than one person (other than you)
     > would be accessing the server. So if it is a shared environment you might
     > want to tighten security.
     >
     > In general you should run things like crond,sshd etc. as the SYSTEM user as
     > Administrator doesnt have the required run as service tokens and others
     > needed for a run-as-user service unless youve added them in [domain|local]
     > security policy(s) thingys in Administrative tools.
     >
     > I dont know whats going on. I just had to stop sshd so i could so i could
     > get rid of an ssh process that wouldnt go away, went away when the service
     > stopped but now i cant restart it. I get these errors in the eventlog...
     >
     > Event Type: Error
     > Event Source: sshd
     > Event Category: None
     > Event ID: 0
     > Date:  09/10/2002
     > Time:  17:57:14
     > User:  NT AUTHORITY\SYSTEM
     > Computer: W3
     > Description:
     > The description for Event ID ( 0 ) in Source ( sshd ) cannot be found. The
     > local computer may not have the necessary registry information or message
     > DLL files to display messages from a remote computer. The following
     > information is part of the event: sshd : Win32 Process Id = 0xCA8 : Cygwin
     > Process Id = 0xCA8 : starting service `sshd' failed: execv: 1, Operation not
     > permitted.
     >
     > Event Type: Error
     > Event Source: sshd
     > Event Category: None
     > Event ID: 0
     > Date:  09/10/2002
     > Time:  17:57:13
     > User:  NT AUTHORITY\SYSTEM
     > Computer: W3
     > Description:
     > The description for Event ID ( 0 ) in Source ( sshd ) cannot be found. The
     > local computer may not have the necessary registry information or message
     > DLL files to display messages from a remote computer. The following
     > information is part of the event: sshd : Win32 Process Id = 0x950 : Cygwin
     > Process Id = 0x950 : starting service `l' failed: redirect_fd: open (1,
     > /var/log/sshd.log): 22, Invalid argument.
     >
     > are you getting anything similar?

I got the same errors. Also tried everything I found on docs as Scott.

I think there SHOULD be properly documentation of sshd installation and
configuration process for the new Openssh as now it does privilege
separation and installation/configuration has changed. I encourage
developers to make a final doc instead of answering all of the
questions on the cygwin list (I guess I would be less work) for every
particular OS, so everyone can make ssh work.

PS: Cygwin's great but this openssh is driving me crazy!

regards,
Marcos.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/